package com.aitrainer.api.test

import com.aitrainer.api.security.JwtAuthenticationController
import com.aitrainer.api.security.JwtRequest
import org.junit.jupiter.api.Test
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.boot.test.context.SpringBootTest
import org.springframework.http.HttpStatus
import org.springframework.http.ResponseEntity
import kotlin.test.assertEquals

@SpringBootTest
class AuthenticationTest {

    @Autowired
    private lateinit var authController: JwtAuthenticationController
    @Test
    fun testAuthentication() {
        val response: ResponseEntity<*>
        val jwtRequest = JwtRequest("bosi", "andio2009")
        response = authController.generateAuthenticationToken(jwtRequest)
        assertEquals(response.statusCode, HttpStatus.OK)
    }

}